%define snapshot beta3

Name:           openuniverse
Version:        1.0
Release:        0.3.%{snapshot}%{?dist}
Summary:        OpenGL space simulator focused on the Solar System

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://www.openuniverse.org/
Source0:        http://download.sourceforge.net/openuniverse/%{name}-%{version}%{snapshot}.tar.gz
Source1:        openuniverse.1
Source2:        openuniverse.desktop
Patch0:         openuniverse-1.0beta3-strings.patch
Patch1:         openuniverse-1.0beta3-gl.patch
Patch2:         openuniverse-1.0beta3-yacc.patch
Patch3:         openuniverse-1.0beta3-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  bison flex
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  freeglut-devel
BuildRequires:  libXmu-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  libXmu-devel
BuildRequires:  ImageMagick


%description
OpenUniverse is a space simulator.  It currently focusses on the Solar
System and lets you visit all of its planets, major moons and a vast
collection of smaller bodies in colorful, glorious and realtime 3D.

If you've ever had a chance to visit Mercury or asteroid Geographos, here
you'll find them looking exactly the same way, following exactly the same
path as when you've left them.


%prep
%setup -q -n %{name}-%{version}%{snapshot}
%patch0 -p1 -b .strings
%patch1 -p1 -b .gl
%patch2 -p1 -b .yacc
%patch3 -p1 -b .paths


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install SHOTS_DIR=. DESTDIR=$RPM_BUILD_ROOT

# Manual
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1

# Menu entry
desktop-file-install --vendor fedora                    \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        %{SOURCE2}

# Icon
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
convert docs/cyclo.gif \
        $RPM_BUILD_ROOT%{_datadir}/pixmaps/openuniverse.png

# Fixup config file paths
install -d $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT%{_datadir}/openuniverse/conf/ou.conf \
       $RPM_BUILD_ROOT%{_sysconfdir}
rmdir $RPM_BUILD_ROOT%{_datadir}/openuniverse/conf



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/ou.conf
%{_bindir}/openuniverse
%{_datadir}/openuniverse
%{_mandir}/man1/openuniverse.1*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%doc AUTHORS NEWS README ChangeLog COPYING INSTALL docs/manual.html
%doc %{_datadir}/openuniverse/docs


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.0-0.2.beta3
- Add icon

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.beta3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 18 2007 Lubomir Kundrak <lkundrak@redhat.com> 1.0-0.beta3
- Initial packaging attempt
